## 蚊子玩卡 E系列智能卡 固件升级程序

这是一个用于升级蚊子玩卡 E 系列智能卡固件的工具，支持在 Linux 和 Windows 平台上运行。您可以通过双击程序图标或使用命令行参数来执行升级操作。

### 使用方法

- **Windows**: 直接双击 `fwupd.exe` 程序图标即可运行。
- **Linux**: 直接双击 `fwupd` 程序图标即可运行。

### 命令行使用方法（可选）

- 打开命令行界面。
- 进入程序所在的目录。
- 使用以下命令格式运行程序：

  ```bash
  fwupd [--skip_notice] [--skip_check] [--clear_all_data]
  ```

### 命令行参数说明

- `--skip_notice`：跳过提示信息。默认情况下，程序会显示提示信息。使用此参数可以禁用提示。
- `--skip_check`：跳过检查。默认情况下，程序会检查读卡器兼容性。使用此参数可以禁用检查。
- `--clear_all_data`：清空所有用户数据。默认情况下，程序不会清空用户数据。使用此参数可以清空所有用户数据

### 数据上报说明

程序会上报以下数据用于统计和售后支持：

- `eid`：智能卡的唯一标识。
- `bl_version`：引导加载程序版本。
- `fw_version`：固件版本。

### 注意事项

- 确保根据您的需求选择合适的命令行参数。
- 在使用 `--clear_all_data` 参数时，请注意该操作不可恢复，所有用户数据将被永久删除。
